Subject: bug#24868: 26.0.50; LaTeX-verbatim-macros-with-delims-local isn't taken into account

From: Clément Pit--Claudel <[email-masked]>
Date: Thu, 3 Nov 2016 15:06:30 -0400

On 2016-11-03 14:35, Tassilo Horn wrote:
> I guess Clement is actually reporting an AUCTeX bug and accidentally
> used `report-emacs-bug' instead of `TeX-submit-bug-report'.

Spot on :) Sorry for the mistake!

> (2) there's no hook-like thing that would be run whenever some specific
>     variable is modified due to file-local or directory-local variables,
>     no?  

There is one :)

    hack-local-variables-hook is a variable defined in ‘files.el’.
    Its value is nil

      This variable may be risky if used as a file-local variable.

    Documentation:
    Normal hook run after processing a file’s local variables specs.
    Major modes can use this to examine user-specified local variables
    in order to initialize other data structure based on them.

> So I guess the right way to make Clément's use-case work was to
> provide functions for modifying those variables that can be run from
> an eval: local variables block and then refresh the fontification if
> needed, right?

I think installing a hack-local-variable hook would be the way to go :)

Cheers and thanks for the quick answer!
Clément.